TLSServerParametersConfig.TLSServerParametersTypeInternal (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.jsse

## Class TLSServerParametersConfig.TLSServerParametersTypeInternal

- java.lang.Object
- - org.apache.cxf.configuration.security.TLSServerParametersType
  - - org.apache.cxf.configuration.jsse.TLSServerParametersConfig.TLSServerParametersTypeInternal

- Enclosing class:
    TLSServerParametersConfig

      public static class TLSServerParametersConfig.TLSServerParametersTypeInternal
      extends org.apache.cxf.configuration.security.TLSServerParametersType

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.security.TLSServerParametersType

      `certAlias, certConstraints, cipherSuites, cipherSuitesFilter, clientAuthentication, enableRevocation, excludeProtocols, includeProtocols, jsseProvider, keyManagers, secureRandomParameters, secureSocketProtocol, sniHostCheck, trustManagers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TLSServerParametersTypeInternal()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KeyManager[]` | `getKeyManagersRef()` |
    `TrustManager[]` | `getTrustManagersRef()` |
    `boolean` | `isSetKeyManagersRef()` |
    `boolean` | `isSetTrustManagersRef()` |
    `void` | `setKeyManagersRef​(KeyManager[] keyManagersRef)` |
    `void` | `setTrustManagersRef​(TrustManager[] trustManagersRef)` |

    - ### Methods inherited from class org.apache.cxf.configuration.security.TLSServerParametersType

      `getCertAlias, getCertConstraints, getCipherSuites, getCipherSuitesFilter, getClientAuthentication, getExcludeProtocols, getIncludeProtocols, getJsseProvider, getKeyManagers, getSecureRandomParameters, getSecureSocketProtocol, getTrustManagers, isEnableRevocation, isSetCertAlias, isSetCertConstraints, isSetCipherSuites, isSetCipherSuitesFilter, isSetClientAuthentication, isSetEnableRevocation, isSetExcludeProtocols, isSetIncludeProtocols, isSetJsseProvider, isSetKeyManagers, isSetSecureRandomParameters, isSetSecureSocketProtocol, isSetSniHostCheck, isSetTrustManagers, isSniHostCheck, setCertAlias, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setClientAuthentication, setEnableRevocation, setExcludeProtocols, setIncludeProtocols, setJsseProvider, setKeyManagers, setSecureRandomParameters, setSecureSocketProtocol, setSniHostCheck, setTrustManagers, unsetEnableRevocation, unsetSniHostCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TLSServerParametersTypeInternal

          public TLSServerParametersTypeInternal()

  - ### Method Detail

    - #### getKeyManagersRef

          public KeyManager[] getKeyManagersRef()

    - #### setKeyManagersRef

          public void setKeyManagersRef​(KeyManager[] keyManagersRef)

    - #### isSetKeyManagersRef

          public boolean isSetKeyManagersRef()

    - #### getTrustManagersRef

          public TrustManager[] getTrustManagersRef()

    - #### setTrustManagersRef

          public void setTrustManagersRef​(TrustManager[] trustManagersRef)

    - #### isSetTrustManagersRef

          public boolean isSetTrustManagersRef()